Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4AlphaEvaporationChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4AlphaEvaporationChannel.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4AlphaEvaporationChannel.hh	(revision 1196)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AlphaEvaporationChannel.hh,v 1.8 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4DeuteronEvaporationChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4DeuteronEvaporationChannel.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4DeuteronEvaporationChannel.hh	(revision 1196)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DeuteronEvaporationChannel.hh,v 1.8 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4Evaporation.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4Evaporation.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4Evaporation.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Evaporation.hh,v 1.5 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Evaporation.hh,v 1.7 2009/07/27 10:32:05 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -33,4 +33,5 @@
 //
 // Alex Howard - added protection for negative probabilities in the sum, 14/2/07
+// V.Ivanchenko - added Combined decay channels (default + GEM) 27/07/09
 
 #ifndef G4Evaporation_h
@@ -55,5 +56,5 @@
   {};
 	 
-  ~G4Evaporation();
+  virtual ~G4Evaporation();
 
 private:
@@ -69,4 +70,5 @@
   void SetDefaultChannel();
   void SetGEMChannel();
+  void SetCombinedChannel();
 
 #ifdef debug
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4EvaporationFactory.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4EvaporationFactory.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4EvaporationFactory.hh	(revision 1196)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EvaporationFactory.hh,v 1.3 2006/06/29 20:09:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4He3EvaporationChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4He3EvaporationChannel.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4He3EvaporationChannel.hh	(revision 1196)
@@ -26,5 +26,5 @@
 //
 // $Id: G4He3EvaporationChannel.hh,v 1.8 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4NeutronEvaporationChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4NeutronEvaporationChannel.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4NeutronEvaporationChannel.hh	(revision 1196)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronEvaporationChannel.hh,v 1.8 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4ProtonEvaporationChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4ProtonEvaporationChannel.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4ProtonEvaporationChannel.hh	(revision 1196)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProtonEvaporationChannel.hh,v 1.8 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4TritonEvaporationChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4TritonEvaporationChannel.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4TritonEvaporationChannel.hh	(revision 1196)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TritonEvaporationChannel.hh,v 1.8 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4VEvaporation.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4VEvaporation.hh	(revision 1007)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4VEvaporation.hh	(revision 1196)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VEvaporation.hh,v 1.4 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
